%define _with_vlc 0
Name:           emotion
Version:        1.7.7
Release:        1%{?dist}
Summary:        An Evas smart-object library providing video capabilities

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-01-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-devel gstreamer-plugins-base-devel eio-devel 
BuildRequires:  gstreamer-plugins-good-devel xine-lib-devel doxygen
BuildRequires:  evas-devel edje-devel ecore-devel chrpath pkgconfig lua-devel
%if %_with_vlc
BuildRequires:  vlc-devel vlc
%endif
Requires:       edje

%description
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages xine-lib or GStreamer and integrates seamlessly with the rest of the
EFL.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel evas-devel pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%if %_with_vlc
%package        vlc
Summary:        VLC backend for for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel evas-devel pkgconfig

%description    vlc
The %{name}-vlc package allows usage of VLC backend for media playback.
%endif

%package        xine
Summary:        Xine backend for for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel evas-devel pkgconfig

%description    xine
The %{name}-xine package allows usage of Xine backend for media playback.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}/*.so
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove test player
rm $RPM_BUILD_ROOT%{_bindir}/%{name}_test
# and its theme too
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/data/theme.edj


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%if %_with_vlc
%dir %{_libdir}/%{name}/utils
%endif
%{_libdir}/%{name}/em_generic.so
%{_libdir}/%{name}/gstreamer.so
%{_libdir}/edje/modules/%{name}
%{_datadir}/%{name}

%if %_with_vlc
%files vlc
%defattr(-,root,root,-)
%{_libdir}/%{name}/utils/em_generic_vlc
%endif

%files xine
%defattr(-,root,root,-)
%{_libdir}/%{name}/xine.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Apr 23 2012 Vasile Chelban <vchelban@fedoramd.org> 1.0.0-2
- Disable by default VLC support due to build errors

* Sun Dec 11 2011 Chelban Vasile <vchelban@fedoramd.org> 0.2.0-2
- Enable VLC support
- Split off xine and vlc subpackages

* Thu Nov 04 2010 Vasile Chelban <vchelban@fedoramd.org> 0.2.0-1
- release 0.2.0

* Thu Apr 01 2010 Chelban Vasile <vchelban@fedoramd.org> 0.1.0.043-10
- edje dependency

* Thu Aug 27 2009 Chelban Vasile <vchelban@fedoramd.org> 0.1.0.042-9
- BR: lua-devel

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.1.0.042-8
- release bump for compatibility with kriehn packages

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-3
- Fixed unowned directory

* Tue May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-2
- Shortened description

* Fri May 16 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-1
- Initial specfile for Emotion
